# error.hpp File Reference

Error class for exceptions. More...

`#include "types.hpp"`
`#include <string>`
`#include <iosfwd>`

Include dependency graph for error.hpp:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | Exiv2

## Classes

struct | Exiv2::ErrMsg
| Helper structure defining an error message. More...
class | Exiv2::AnyError
| Error class interface. Allows the definition and use of a hierarchy of error classes which can all be handled in one catch block. More...
class | Exiv2::Error
| Simple error class used for exceptions. An output operator is provided to print errors to a stream. More...

## Functions

std::ostream & | Exiv2::operator<< (std::ostream &os, const AnyError &error)
| AnyBase output operator

## Detailed Description

Error class for exceptions.

Version:
  Rev
    560

Author:
  Andreas Huggel (ahu) ahuggel@gmx.net

Date:
  15-Jan-04, ahu: created
  11-Feb-04, ahu: isolated as a component